#' @name TCGA_HT_8564_maf
#' @title SNVsReadCountsFile for sample TCGA-HT-8564
#' @description A data frame object containing the read counts data of somatic
#' single nucleotide variants (SNVs) loci for sample TCGA-HT-8564.
#' The header contains the chromosme that harbors the SNV ("chr" column),
#' the position of the SNV (defined by the "start" and "end" columns),
#' the informations about the reference and alternative base counts ("ref.count"
#' and	"alt.count" columns, respectively) and finally the sample ID ("sample"
#' column). For more information please visit
#' \href{https://software.broadinstitute.org/software/igv/MutationAnnotationFormat}{MAF file format}.
#' @docType data
#' @format A data.frame object.
NULL
